<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>/home/gtbldadm/nightlybuilds/mmwave_sdk/ti/demo/xwr14xx/mmw/config_hwa_util.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b6c2a257bfab6380ca9b3cb94b12cb25.html">demo</a></li><li class="navelem"><a class="el" href="dir_2c9e0d57919156e517faa12522fe0912.html">xwr14xx</a></li><li class="navelem"><a class="el" href="dir_d0e0924169a62a2cc2921843855ac0c7.html">mmw</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">config_hwa_util.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Hardware Accelerator Configuration Utility APIs.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/drivers/hwa/hwa.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a39d71b8a28b038ee310eaece0acab27c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__hwa__util_8h.html#a39d71b8a28b038ee310eaece0acab27c">HWAutil_configRangeFFT</a> (HWA_Handle handle, uint32_t paramSetStartIdx, uint32_t numAdcSamples, uint32_t numRangeBins, uint8_t numRxAnt, uint32_t windowOffsetBytes, uint8_t dmaTriggerSourcePing, uint8_t dmaTriggerSourcePong, uint8_t dmaDestChannelPing, uint8_t dmaDestChannelPong, uint16_t hwaMemAdcBufOffset, uint16_t hwaMemDestPingOffset, uint16_t hwaMemDestPongOffset, uint8_t hwaTriggerMode)</td></tr>
<tr class="memdesc:a39d71b8a28b038ee310eaece0acab27c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures ParameterSet for Range FFT on ADC samples from DFE.  <a href="#a39d71b8a28b038ee310eaece0acab27c">More...</a><br /></td></tr>
<tr class="separator:a39d71b8a28b038ee310eaece0acab27c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88ee0d453177f3755697653ba987a256"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__hwa__util_8h.html#a88ee0d453177f3755697653ba987a256">HWAutil_configDopplerFFT</a> (HWA_Handle handle, uint32_t paramSetStartIdx, uint32_t dopplerFftSize, uint8_t numVirtualAnt, uint32_t numRangeBinsPerIter, uint32_t windowOffsetBytes, uint8_t dmaTriggerSourcePing, uint8_t dmaTriggerSourcePong, uint8_t dmaDestChannelPing, uint8_t dmaDestChannelPong, uint16_t hwaMemSourcePingOffset, uint16_t hwaMemSourcePongOffset, uint16_t hwaMemDestPingOffset, uint16_t hwaMemDestPongOffset, uint32_t option)</td></tr>
<tr class="memdesc:a88ee0d453177f3755697653ba987a256"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures ParameterSet for Range FFT on ADC samples from DFE.  <a href="#a88ee0d453177f3755697653ba987a256">More...</a><br /></td></tr>
<tr class="separator:a88ee0d453177f3755697653ba987a256"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9967ced26dd6893af2c4faddf6e3a13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__hwa__util_8h.html#ab9967ced26dd6893af2c4faddf6e3a13">HWAutil_configDopplerFFTSingleRangeBin</a> (HWA_Handle handle, uint32_t paramSetStartIdx, uint32_t dopplerFftSize, uint8_t numVirtualAnt, uint32_t windowOffsetBytes, uint8_t dmaTriggerSource, uint16_t hwaMemAzimSource, uint16_t hwaMemAzimDest)</td></tr>
<tr class="memdesc:ab9967ced26dd6893af2c4faddf6e3a13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures ParameterSet for single range in 2D FFT on 1D FFT data from radarCube.  <a href="#ab9967ced26dd6893af2c4faddf6e3a13">More...</a><br /></td></tr>
<tr class="separator:ab9967ced26dd6893af2c4faddf6e3a13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82bbed7f4c2ee56e1a632620e3010dba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__hwa__util_8h.html#a82bbed7f4c2ee56e1a632620e3010dba">HWAutil_configCFAR</a> (HWA_Handle handle, uint32_t paramSetStartIdx, uint32_t numRangeBins, uint32_t numDopplerBins, uint32_t winLen, uint32_t guardLen, uint32_t noiseDivRightShift, uint8_t peakGrouping, uint8_t cyclicMode, uint8_t nAvgMode, uint16_t detObjectListSize, uint8_t dmaTriggerSource, uint8_t dmaDestChannel, uint16_t hwaSourceBufOffset, uint16_t hwaDestBufOffset)</td></tr>
<tr class="memdesc:a82bbed7f4c2ee56e1a632620e3010dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures ParameterSet for CFAR detection (The CFAR detection runs along range bins).  <a href="#a82bbed7f4c2ee56e1a632620e3010dba">More...</a><br /></td></tr>
<tr class="separator:a82bbed7f4c2ee56e1a632620e3010dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a741517e687f45ccfb25ddcafdc3bf9cd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__hwa__util_8h.html#a741517e687f45ccfb25ddcafdc3bf9cd">HWAutil_configAngleEstAzimuth</a> (HWA_Handle handle, uint32_t paramSetStartIdx, uint32_t numVirtualAnt, uint32_t fftOutSize, uint32_t numIter, uint16_t hwaSourceBufOffset, uint16_t hwaDestBufOffset)</td></tr>
<tr class="memdesc:a741517e687f45ccfb25ddcafdc3bf9cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures ParameterSet for azimuth-FFT processing.  <a href="#a741517e687f45ccfb25ddcafdc3bf9cd">More...</a><br /></td></tr>
<tr class="separator:a741517e687f45ccfb25ddcafdc3bf9cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ae33d517a9a67c27cd9da8e7574c58a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="config__hwa__util_8h.html#a4ae33d517a9a67c27cd9da8e7574c58a">HWAutil_configAngleEstAzimuthElevation</a> (HWA_Handle handle, uint32_t paramSetStartIdx, uint32_t numVirtualAntAzim, uint32_t numVirtualAntElev, uint32_t fftOutSize, uint32_t numIter, uint16_t hwaSourceAzimBufOffset, uint32_t hwaSourceElevBufOffset, uint16_t hwaDestAzimAbsBufOffset, uint16_t hwaDestAzimCplxBufOffset, uint16_t hwaDestElevCplxBufOffset)</td></tr>
<tr class="memdesc:a4ae33d517a9a67c27cd9da8e7574c58a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configures ParameterSet for azimuth/elevation-FFT processing.  <a href="#a4ae33d517a9a67c27cd9da8e7574c58a">More...</a><br /></td></tr>
<tr class="separator:a4ae33d517a9a67c27cd9da8e7574c58a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Hardware Accelerator Configuration Utility APIs. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a741517e687f45ccfb25ddcafdc3bf9cd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HWAutil_configAngleEstAzimuth </td>
          <td>(</td>
          <td class="paramtype">HWA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>paramSetStartIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numVirtualAnt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>fftOutSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numIter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaSourceBufOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaDestBufOffset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configures ParameterSet for azimuth-FFT processing. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>HWA driver handle</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">paramSetStartIdx</td><td>HWA parameter set start index</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numVirtualAnt</td><td>number of Virtual antennas (num_tx x num_rx)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fftOutSize</td><td>Azimuth FFT length</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numIter</td><td>number of vectors on which angle-FFT has to be computed</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaSourceBufOffset</td><td>HWA memory offset with input data</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaDestBufOffset</td><td>HWA memory offset with computed angle-FFTs </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4ae33d517a9a67c27cd9da8e7574c58a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HWAutil_configAngleEstAzimuthElevation </td>
          <td>(</td>
          <td class="paramtype">HWA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>paramSetStartIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numVirtualAntAzim</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numVirtualAntElev</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>fftOutSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numIter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaSourceAzimBufOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>hwaSourceElevBufOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaDestAzimAbsBufOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaDestAzimCplxBufOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaDestElevCplxBufOffset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configures ParameterSet for azimuth/elevation-FFT processing. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>HWA driver handle</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">paramSetStartIdx</td><td>HWA parameter set start index</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numVirtualAntAzim</td><td>number of Azimuth Virtual antennas (num_azimuth_tx x num_rx)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numVirtualAntElev</td><td>number of Elevation Virtual antennas (num_elevation_tx x num_rx)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fftOutSize</td><td>Azimuth FFT length</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numIter</td><td>number of vectors on which angle-FFT has to be computed</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaSourceAzimBufOffset</td><td>HWA memory offset with azimuth input data</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaSourceElevBufOffset</td><td>HWA memory offset with elevation input data</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaDestAzimAbsBufOffset</td><td>HWA memory offset with computed azimuth-FFTs (log magnitude values)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaDestAzimCplxBufOffset</td><td>HWA memory offset with computed azimuth-FFTs (complex values)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaDestElevCplxBufOffset</td><td>HWA memory offset with computed elevation-FFTs (complex values) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a82bbed7f4c2ee56e1a632620e3010dba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HWAutil_configCFAR </td>
          <td>(</td>
          <td class="paramtype">HWA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>paramSetStartIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numRangeBins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numDopplerBins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>winLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>guardLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>noiseDivRightShift</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>peakGrouping</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>cyclicMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>nAvgMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>detObjectListSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaTriggerSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaDestChannel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaSourceBufOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaDestBufOffset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configures ParameterSet for CFAR detection (The CFAR detection runs along range bins). </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>HWA driver handle</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">paramSetStartIdx</td><td>HWA parameter set start index</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numRangeBins</td><td>Number of range bins</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numDopplerBins</td><td>NUmber of Doppler bins</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">winLen</td><td>window length in CFAR</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">guardLen</td><td>guard length in CFAR</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">noiseDivRightShift</td><td>noiseDiv factor expressed as right shift in CFAR</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">peakGrouping</td><td>peakGrouping flag in CFAR</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">cyclicMode</td><td>cyclic mode in CFAR</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">nAvgMode</td><td>noise averaging mode in CFAR</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">detObjectListSize</td><td>maximum size of list of detected objects</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaTriggerSource</td><td>DMA trigger source channel</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaDestChannel</td><td>DMA destination channel</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaSourceBufOffset</td><td>HWA memory offset with input data: log magnitude 2nd D FFT matrix</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaDestBufOffset</td><td>HWA memory offset with CFAR output results: List of detected objects as array of structures cfarDetOutput_t </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a88ee0d453177f3755697653ba987a256"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HWAutil_configDopplerFFT </td>
          <td>(</td>
          <td class="paramtype">HWA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>paramSetStartIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dopplerFftSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>numVirtualAnt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numRangeBinsPerIter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>windowOffsetBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaTriggerSourcePing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaTriggerSourcePong</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaDestChannelPing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaDestChannelPong</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaMemSourcePingOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaMemSourcePongOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaMemDestPingOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaMemDestPongOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>option</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configures ParameterSet for Range FFT on ADC samples from DFE. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>HWA driver handle</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">paramSetStartIdx</td><td>HWA parameter set start index</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dopplerFftSize</td><td>Doppler FFT size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numVirtualAnt</td><td>Number of Rx virtual antennas</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numRangeBinsPerIter</td><td>Number of range bins per iteration (currently has to be 2)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">windowOffsetBytes</td><td>Window offset in bytes (for pre-FFT windowing)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaTriggerSourcePing</td><td>DMA trigger source channel for Ping param set (Ping param set calculates 2nd D FFT for two rows, (even pair of rows))</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaTriggerSourcePong</td><td>DMA trigger source channel for Pong param sets (Pong param set calculates 2nd D FFT for two rows, (odd pair of rows))</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaDestChannelPing</td><td>DMA destination channel for Ping param sets</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaDestChannelPong</td><td>DMA destination channel for Pong param sets</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaMemSourcePingOffset</td><td>HWA memory offset with Ping input data, two rows (range bins) of 1st D FFT symbols</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaMemSourcePongOffset</td><td>HWA memory offset with Pong input data, two rows (range bins) with 1st D FFT symbols</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaMemDestPingOffset</td><td>HWA memory offset with Ping output data, two rows (range bins) with 2nd D FFT complex symbols, followed by two rows (range bins) with summed log magnitude 2nd D FFT symbols across all antennas</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaMemDestPongOffset</td><td>HWA memory offset with Ping output data, two rows (range bins) with 2nd D FFT complex symbols, followed by two rows (range bins) with summed log magnitude 2nd D FFT symbols across all antennas</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">option</td><td>Option to seperate/combine 2DFFT and Log-Mag operation. By combining 2DFFT and Log-Mag operation, high precision can be achieved. 0 - seperate, 1 - combine </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab9967ced26dd6893af2c4faddf6e3a13"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HWAutil_configDopplerFFTSingleRangeBin </td>
          <td>(</td>
          <td class="paramtype">HWA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>paramSetStartIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dopplerFftSize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>numVirtualAnt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>windowOffsetBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaTriggerSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaMemAzimSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaMemAzimDest</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configures ParameterSet for single range in 2D FFT on 1D FFT data from radarCube. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>HWA driver handle</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">paramSetStartIdx</td><td>HWA parameter set start index</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dopplerFftSize</td><td>Doppler FFT size</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numVirtualAnt</td><td>Number of Rx virtual antennas</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">windowOffsetBytes</td><td>Window offset in bytes (for pre-FFT windowing)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaTriggerSource</td><td>DMA trigger source channel for Ping param set (Ping param set calculates 2nd D FFT for two rows, (even pair of rows))</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaMemAzimSource</td><td>HWA memory offset with single range bin input data of 1D FFT symbols</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaMemAzimDest</td><td>HWA memory offset with single range bin 2D FFT output data </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a39d71b8a28b038ee310eaece0acab27c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HWAutil_configRangeFFT </td>
          <td>(</td>
          <td class="paramtype">HWA_Handle&#160;</td>
          <td class="paramname"><em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>paramSetStartIdx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numAdcSamples</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>numRangeBins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>numRxAnt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>windowOffsetBytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaTriggerSourcePing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaTriggerSourcePong</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaDestChannelPing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>dmaDestChannelPong</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaMemAdcBufOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaMemDestPingOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hwaMemDestPongOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>hwaTriggerMode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configures ParameterSet for Range FFT on ADC samples from DFE. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">handle</td><td>HWA driver handle</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">paramSetStartIdx</td><td>HWA parameter set start index</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numAdcSamples</td><td>Number of ADC samples</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numRangeBins</td><td>Number of range bins (1st D FFT size)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numRxAnt</td><td>Number of Rx antennas</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">windowOffsetBytes</td><td>Window offset in bytes (for pre-FFT windowing)</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaTriggerSourcePing</td><td>DMA trigger source channel for Ping param sets</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaTriggerSourcePong</td><td>DMA trigger source channel for Pong param sets</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaDestChannelPing</td><td>DMA destination channel for Ping param sets</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaDestChannelPong</td><td>DMA destination channel for Pong param sets</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaMemAdcBufOffset</td><td>HWA memory offset ADC buffer</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaMemDestPingOffset</td><td>HWA memory offset for Ping destination</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaMemDestPongOffset</td><td>HWA memory offset for Pong destination</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hwaTriggerMode</td><td>HWA trigger mode </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
